package whatsapp

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/whatsapp"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /whatsapp/getBusinessInfo whatsapp GetBusinessInfo
//
// 获取商业信息
//
// 获取商业信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: getBusinessReq
//
// Responses:
//  200: getBusinessResp

func GetBusinessInfoHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GetBusinessReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := whatsapp.NewGetBusinessInfoLogic(r.Context(), svcCtx)
		resp, err := l.GetBusinessInfo(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
